# class TimeRanges

#### package js.html

Available on HTML5

The `TimeRanges` interface is used to represent a set of time ranges, primarily for the purpose of tracking which portions of media have been buffered when loading it for use by the `audio` and `video` elements.

Documentation TimeRanges by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/TimeRanges

### Variables

###

`read onlylength:Int`

Returns an `unsigned long` representing the number of time ranges represented by the time range object.

### Methods

###

`end (index:Int):Float`

Throws:

`null` | DOMError

###

`start (index:Int):Float`

Throws:

`null` | DOMError